#!/bin/sh

set -e

case "$1" in
  configure|triggered)
    echo "Ensuring home is a symlink to /data/homelinks"
    # If /home is a directory and not a symlink, delete it.
    # This will deliberately fail if /home/ exists and is not empty;
    # this ought never happen. But if it does, we should notice that
    # dpkg is in a broken state and intervene
    [ -d /home ] && [ ! -L /home ] && rmdir /home

    # If /home is not already a link, link it. Note that we don't do
    # anything if /home is a link to the wrong location; ansible will
    # alert us if we somehow end up in that state and a human will
    # intervene
    [ ! -L /home ] && ln -s /data/homelinks /home
  ;;

  abort-upgrade|abort-remove|abort-deconfigure)
  ;;

  *)
    echo "postinst called with unknown argument \`$1'" >&2
    exit 1
  ;;
esac

exit 0
